package com.hzya.frame.sys.templateButton.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.sys.userTemplateButton.entity.SysUserTemplateButtonEntity;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 模版按钮表(SysTemplateButton)实体类
 *
 * @author makejava
 * @since 2023-08-07 10:00:21
 */
public class SysTemplateButtonEntity extends BaseEntity {
 
    /**
     * 唯一标识码
     */
    private String id;
    /**
     * 模版id
     */
    private String templateId;
    /**
     * Service服务名
     */
    private String serviceName;
    /**
     * Table名称（英文名称）
     */
    private String tableName;
    /**
     * 类型
     */
    private String buttonType;
    /**
     * 名称
     */
    private String buttonTitle;
    /**
     * 样式
     */
    private String buttonStyle;
    /**
     * 排序
     */
    private String buttonSort;
    /**
     * 图标
     */
    private String buttonIcon;
    /**
     * 排序
     */
    private Long sorts;
    /**
     * 创建人id
     */
    private String createUserId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人id
     */
    private String modifyUserId;
    /**
     * 修改时间
     */
    private Date modifyTime;
    /**
     * 状态(Y正常N删除)
     */
    private String sts;
    /**
     * 组织机构ID
     */
    private String orgId;

    private List<SysUserTemplateButtonEntity> sysUserTemplateButtonEntities;

    public List<SysUserTemplateButtonEntity> getSysUserTemplateButtonEntities() {
        return sysUserTemplateButtonEntities;
    }

    public void setSysUserTemplateButtonEntities(List<SysUserTemplateButtonEntity> sysUserTemplateButtonEntities) {
        this.sysUserTemplateButtonEntities = sysUserTemplateButtonEntities;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getButtonType() {
        return buttonType;
    }

    public void setButtonType(String buttonType) {
        this.buttonType = buttonType;
    }

    public String getButtonTitle() {
        return buttonTitle;
    }

    public void setButtonTitle(String buttonTitle) {
        this.buttonTitle = buttonTitle;
    }

    public String getButtonStyle() {
        return buttonStyle;
    }

    public void setButtonStyle(String buttonStyle) {
        this.buttonStyle = buttonStyle;
    }

    public String getButtonSort() {
        return buttonSort;
    }

    public void setButtonSort(String buttonSort) {
        this.buttonSort = buttonSort;
    }

    public String getButtonIcon() {
        return buttonIcon;
    }

    public void setButtonIcon(String buttonIcon) {
        this.buttonIcon = buttonIcon;
    }

    public Long getSorts() {
        return sorts;
    }

    public void setSorts(Long sorts) {
        this.sorts = sorts;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyUserId() {
        return modifyUserId;
    }

    public void setModifyUserId(String modifyUserId) {
        this.modifyUserId = modifyUserId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getSts() {
        return sts;
    }

    public void setSts(String sts) {
        this.sts = sts;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

}

